ru.bitel.bgbilling.modules.inet.accounting.detail.event

## Class InetDetailCreateEvent.SessionInfo

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.accounting.detail.event.InetDetailCreateEvent.SessionInfo

- Enclosing class:
    InetDetailCreateEvent

      public static class InetDetailCreateEvent.SessionInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInfo()`
    `SessionInfo(java.util.Date timeFrom, java.util.Date timeTo, int agentDeviceId, java.util.Set<java.lang.Integer> ifaces, IpAddress addressFrom, IpAddress addressTo, java.util.List<IpNet> routeNetList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IpAddress` | `getAddressFrom()`
    `IpAddress` | `getAddressTo()`
    `int` | `getAgentDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getIfaces()`
    `java.util.List<IpNet>` | `getRouteNetList()`
    `java.util.Date` | `getTimeFrom()`
    `java.util.Date` | `getTimeTo()`
    `void` | `setAddressFrom(IpAddress addressFrom)`
    `void` | `setAddressTo(IpAddress addressTo)`
    `void` | `setAgentDeviceId(int agentDeviceId)`
    `void` | `setIfaces(java.util.Set<java.lang.Integer> ifaces)`
    `void` | `setRouteNetList(java.util.List<IpNet> routeNetList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionInfo

          public SessionInfo()

    - #### SessionInfo

          public SessionInfo(java.util.Date timeFrom,
                             java.util.Date timeTo,
                             int agentDeviceId,
                             java.util.Set<java.lang.Integer> ifaces,
                             IpAddress addressFrom,
                             IpAddress addressTo,
                             java.util.List<IpNet> routeNetList)

  - ### Method Detail

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### getTimeTo

          public java.util.Date getTimeTo()

    - #### getAgentDeviceId

          public int getAgentDeviceId()

    - #### setAgentDeviceId

          public void setAgentDeviceId(int agentDeviceId)

    - #### getIfaces

          public java.util.Set<java.lang.Integer> getIfaces()

    - #### setIfaces

          public void setIfaces(java.util.Set<java.lang.Integer> ifaces)

    - #### getAddressFrom

          public IpAddress getAddressFrom()

    - #### setAddressFrom

          public void setAddressFrom(IpAddress addressFrom)

    - #### getAddressTo

          public IpAddress getAddressTo()

    - #### setAddressTo

          public void setAddressTo(IpAddress addressTo)

    - #### getRouteNetList

          public java.util.List<IpNet> getRouteNetList()

    - #### setRouteNetList

          public void setRouteNetList(java.util.List<IpNet> routeNetList)